> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mirurobotics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update

> Update a group.

| Scope | Required |
| - | - |
| `groups:write` | Yes |


## OpenAPI

````yaml /references/platform-api/2026-11-04.yaml patch /groups/{group_id}
openapi: 3.0.3
info:
  title: Miru Platform API
  description: The API between Miru and any external client
  version: 2026-11-04.everglades
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  x-release-version: 2026-11-04.everglades
  x-git-commit:
    sha: e1decbb4c54ce8a4bf2f78b8728b2b10654294c9
    url: >-
      https://github.com/mirurobotics/openapi/commit/e1decbb4c54ce8a4bf2f78b8728b2b10654294c9
    message: >-
      feat(platform): add archived and deleted list filters, and tidy
      descriptions (#446)
    author: Ben's Agent
    branch: HEAD
    dirty: false
  x-build:
    built_at: '2026-11-05T23:04:32.018858+00:00'
servers:
  - url: https://api.mirurobotics.com/beta
    description: Miru Platform API
security:
  - ApiKeyAuth: []
paths:
  /groups/{group_id}:
    parameters:
      - $ref: '#/components/parameters/MiruVersion'
    patch:
      tags:
        - Groups
      summary: Update
      description: Update a group.
      operationId: updateGroup
      parameters:
        - $ref: '#/components/parameters/group_id'
        - $ref: '#/components/parameters/group_expansions'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateGroupRequest'
      responses:
        '200':
          description: Successfully updated the group.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Group'
components:
  parameters:
    MiruVersion:
      name: Miru-Version
      in: header
      required: true
      schema:
        type: string
        example: 2026-11-04.everglades
      description: The API version the client was built against.
    group_id:
      name: group_id
      in: path
      required: true
      description: The unique identifier of the group.
      schema:
        type: string
        example: grp_123
    group_expansions:
      name: expand
      in: query
      required: false
      description: Fields to expand on the group resource.
      schema:
        type: array
        items:
          $ref: '#/components/schemas/GroupExpansion'
        example:
          - parent
  schemas:
    UpdateGroupRequest:
      title: Update Group Request
      type: object
      properties:
        name:
          type: string
          description: The updated name of the group.
          example: Robots
    Group:
      title: Group
      allOf:
        - $ref: '#/components/schemas/BaseGroup'
        - type: object
          required:
            - created_by_id
          properties:
            created_by_id:
              type: string
              example: usr_123
              description: ID of the principal who created the group.
            created_by:
              allOf:
                - $ref: '#/components/schemas/Principal'
              description: >-
                The principal who created the group. Expand using
                `expand=created_by` in the query string.
            parent:
              allOf:
                - $ref: '#/components/schemas/Group'
              nullable: true
              description: >-
                The parent group. Null for top-level groups. Expand using
                `expand=parent` in the query string.
      example:
        object: group
        id: grp_789
        name: line-3
        parent_id: grp_456
        created_at: '2026-01-01T00:00:00Z'
        updated_at: '2026-01-01T00:00:00Z'
        created_by_id: usr_123
    GroupExpansion:
      type: string
      enum:
        - parent
        - created_by
      x-enum-varnames:
        - GROUP_EXPAND_PARENT
        - GROUP_EXPAND_CREATED_BY
    BaseGroup:
      title: Base Group
      type: object
      required:
        - object
        - id
        - name
        - parent_id
        - created_at
        - updated_at
      properties:
        object:
          type: string
          enum:
            - group
          example: group
          x-stainless-const: true
          description: The object type, which is always `group`.
        id:
          type: string
          example: grp_123
          description: ID of the group.
        name:
          type: string
          example: production
          description: Name of the group.
        parent_id:
          type: string
          nullable: true
          example: grp_456
          description: ID of the parent group. Null for top-level groups.
        created_at:
          type: string
          format: date-time
          example: '2026-01-01T00:00:00Z'
          description: Timestamp of when the group was created.
        updated_at:
          type: string
          format: date-time
          example: '2026-01-01T00:00:00Z'
          description: Timestamp of when the group was last updated.
    Principal:
      title: Principal
      type: object
      required:
        - object
        - id
        - name
        - type
      properties:
        object:
          type: string
          enum:
            - principal
          example: principal
          x-stainless-const: true
          description: The object type, which is always `principal`.
        id:
          type: string
          example: api_key_123
          description: ID of the principal.
        name:
          type: string
          example: My CI/CD Key
          description: The display name of the principal.
        type:
          allOf:
            - $ref: '#/components/schemas/PrincipalType'
          description: >-
            The kind of principal. More types may be added, so handle unknown
            values.
      example:
        object: principal
        id: api_key_123
        name: My CI/CD Key
        type: api_key
    PrincipalType:
      title: Principal Type
      type: string
      enum:
        - user
        - api_key
        - device
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: The API key to use for authentication.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.